Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2598)

Unified Diff: docs/src/make_docs.sh

Issue 225433003: Add a basic tutorial for the tools in depot_tools. (Closed) Base URL: https://chromium.googlesource.com/chromium/tools/depot_tools.git@git_map
Patch Set: Created 6 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« docs/src/depot_tools_tutorial.txt ('K') | « docs/src/depot_tools_tutorial.txt ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: docs/src/make_docs.sh
diff --git a/docs/src/make_docs.sh b/docs/src/make_docs.sh
index ac8ab42ba9e5707000350722f83684472b6704e2..48143a2e66f77365ec30402b71843a37c6edfee4 100755
--- a/docs/src/make_docs.sh
+++ b/docs/src/make_docs.sh
@@ -130,6 +130,7 @@ do
echo -n -
done
echo
+ cat _${category}_prefix.txt 2> /dev/null || true
echo
fi
@@ -145,7 +146,7 @@ do
} > __${category}.txt
done
-JOBS=0
+JOBS=1
HTML_TARGETS=()
MAN_TARGETS=()
for x in *.txt *.css
@@ -155,22 +156,27 @@ do
then
echo \'$x\' differs
cp $x "$TO"
- fi
- # Exclude files beginning with _ from the target list. This is useful to have
- # includable snippet files.
- if [[ ${x:0:1} != _ && ${x:(-4)} == .txt ]]
- then
- HTML_TARGETS+=("${x%%.txt}.html")
- if [[ ${x:0:3} == git ]]
+ # Exclude files beginning with _ from the target list. This is useful to have
Ryan Tseng 2014/04/05 00:51:20 80 char
iannucci 2014/04/05 01:31:13 Done.
iannucci 2014/04/05 01:31:13 Done.
+ # includable snippet files.
+ if [[ ${x:0:1} != _ && ${x:(-4)} == .txt ]]
then
- MAN1_TARGETS+=("${x%%.txt}.1")
- else
- MAN7_TARGETS+=("${x%%.txt}.7")
+ HTML_TARGETS+=("${x%%.txt}.html")
+ if [[ ${x:0:3} == git ]]
+ then
+ MAN1_TARGETS+=("${x%%.txt}.1")
+ else
+ MAN7_TARGETS+=("${x%%.txt}.7")
+ fi
+ JOBS=$[$JOBS + 2]
fi
- JOBS=$[$JOBS + 2]
fi
done
+if [[ ${#HTML_TARGETS} == 0 && ${#MAN_TARGETS} == 0 ]]
+then
+ exit
+fi
+
VER="v$(git rev-parse --short HEAD)"
if [[ ! -f git/version ]] || ! cmp --silent git/version <(echo "$VER")
then
« docs/src/depot_tools_tutorial.txt ('K') | « docs/src/depot_tools_tutorial.txt ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698